Bug 855258 - dracut-module-setup can't handle runtime NIC renaming under static network
dracut-module-setup can't handle runtime NIC renaming under static network
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
20
All Linux
low Severity unspecified
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 855260
  Show dependency treegraph
 
Reported: 2012-09-07 02:58 EDT by WANG Chao
Modified: 2015-06-29 07:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 855260 (view as bug list)
Environment:
Last Closed: 2015-06-29 07:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WANG Chao 2012-09-07 02:58:06 EDT
Description of problem:
Currently dracut-module-setup.sh read ifcfg-* to determine if a NIC is configured to be static. But when we rename the NIC runtime and configure it to be static, dracut-module-setup will treat this NIC be a dhcp network.

After we rename a NIC (eth0->eth0-re) and configure it to static:
# cat /etc/kdump.conf
path /var/crash
default shell
nfs 10.66.12.189:/mnt/testarea/nfs

# kdumpctl restatrt
[..]
+ kdump_install_net 10.66.12.189:/mnt/testarea/nfs
+ local _server _netdev
+ local config_val=10.66.12.189:/mnt/testarea/nfs
+ strstr 10.66.12.189:/mnt/testarea/nfs @
+ [[ 10.66.12.189:/mnt/testarea/nfs = *@* ]]
++ sed -e 's#\(.*\):.*#\1#'
++ echo 10.66.12.189:/mnt/testarea/nfs
+ _server=10.66.12.189
++ grep '[a-zA-Z]'
++ echo 10.66.12.189
+ _need_dns=
+ '[' -n '' ']'
++ /sbin/ip route get to 10.66.12.189
+ _netdev='10.66.12.189 via 192.168.122.1 dev eth0-re  src 192.168.122.108 
    cache '
+ '[' 0 '!=' 0 ']'
++ grep via
++ echo 10.66.12.189 via 192.168.122.1 dev eth0-re src 192.168.122.108 cache
+ '[' -n '10.66.12.189 via 192.168.122.1 dev eth0-re src 192.168.122.108 cache' ']'
++ head -n 1
++ awk '{print $5;}'
++ echo 10.66.12.189 via 192.168.122.1 dev eth0-re src 192.168.122.108 cache
+ _netdev=eth0-re
+ kdump_setup_netdev eth0-re
+ local _netdev=eth0-re
+ local _static _proto
++ uname -m
+ '[' x86_64 = s390x ']'
++ awk '/ether/{ print $2 }'
++ ip addr show eth0-re
+ _netmac=52:54:00:cc:07:81
++ kdump_static_ip eth0-re
++ . /etc/sysconfig/network-scripts/ifcfg-eth0-re
/usr/lib/dracut/modules.d/99kdumpbase/module-setup.sh: line 58: /etc/sysconfig/network-scripts/ifcfg-eth0-re: No such file or directory
++ '[' -n '' ']'
+ _static=
+ '[' -n '' ']'
+ _proto=dhcp
+ echo ' ip=eth0-re:dhcp'
+ kdump_is_bridge eth0-re
+ '[' -d /sys/class/net/eth0-re/bridge ']'
+ kdump_is_bond eth0-re
+ '[' -d /sys/class/net/eth0-re/bonding ']'
+ kdump_is_vlan eth0-re
+ '[' -f /proc/net/vlan/eth0-re ']'
+ echo -n ' ip=eth0-re:dhcp'
++ kdump_get_mac_addr eth0-re
+++ awk '/ether/{ print $2 }'
+++ ip addr show eth0-re
++ echo 52:54:00:cc:07:81
+ echo ' ifname=eth0-re:52:54:00:cc:07:81'
+ kdump_setup_dns eth0-re
+ _dnsfile=/var/tmp/initramfs.QIaLgF/etc/cmdline.d/42dns.conf
+ . /etc/sysconfig/network-scripts/ifcfg-eth0-re
/usr/lib/dracut/modules.d/99kdumpbase/module-setup.sh: line 49: /etc/sysconfig/network-scripts/ifcfg-eth0-re: No such file or directory
+ '[' -n '' ']'
+ '[' -n '' ']'
[..]

# cat etc/cmdline.d/40ip.conf
 ip=eth0-re:dhcp ifname=eth0-re:52:54:00:cc:07:81

Version-Release number of selected component (if applicable):
kexec-tools-2.0.3-53.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.rename a NIC runtime and configure it to be static
2.restart kdump service
3.
  
Actual results:
the NIC is configured to be dhcp

Expected results:
the NIC should be configured to be static

Additional info:
Steps to rename NIC runtime and configure to static
# ip link set eth0 down
# ip link set eth0 name eth0-re
# ip addr flush dev eth0-re
# ip addr add 192.168.122.108/24 dev eth0-re
# ip link set eth0-re up
# ip route add default via 192.168.122.1 dev eth0-re
Comment 1 Fedora Admin XMLRPC Client 2013-02-25 03:06:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-12-21 03:50:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-05-29 04:46:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:40:20 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.